/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.services;

import org.ow2.bonita.facade.uuid.ActivityDefinitionUUID;
import org.ow2.bonita.facade.uuid.ActivityInstanceUUID;
import org.ow2.bonita.facade.uuid.DataFieldDefinitionUUID;
import org.ow2.bonita.facade.uuid.ParticipantDefinitionUUID;
import org.ow2.bonita.facade.uuid.ProcessDefinitionUUID;
import org.ow2.bonita.facade.uuid.ProcessInstanceUUID;
import org.ow2.bonita.facade.uuid.TransitionDefinitionUUID;


/**
 * @author Guillaume Porcher
 *
 */
public interface UUIDGenerator {

  ProcessDefinitionUUID getProcessDefinitionUUID(String processId, String processVersion);
  ActivityDefinitionUUID getActivityDefinitionUUID(ProcessDefinitionUUID processUUID, String activityId);
  ActivityInstanceUUID getActivityInstanceUUID(ProcessInstanceUUID instanceUUID, String activityId);
  DataFieldDefinitionUUID getDataFieldDefinitionUUID(ProcessDefinitionUUID processUUID, String dataFieldId);
  ParticipantDefinitionUUID getParticipantDefinitionUUID(ProcessDefinitionUUID processUUID, String participantId);
  ProcessInstanceUUID getProcessInstanceUUID(ProcessDefinitionUUID processUUID);
  TransitionDefinitionUUID getTransitionDefinitionUUID(ProcessDefinitionUUID processUUID,
      String transitionId);

//  AutomaticBodyUUID getAutomaticBodyUUID(ActivityInstanceUUID activityInstanceUUID);
//  RouteBodyUUID getRouteBodyUUID(ActivityInstanceUUID activityInstanceUUID);
//  SubflowBodyUUID getSubflowBodyUUID(ActivityInstanceUUID activityInstanceUUID);
//  TaskUUID getTaskUUID(ActivityInstanceUUID activityInstanceUUID);

}
