/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.services.info;

import java.util.Map;

import org.ow2.bonita.facade.uuid.ProcessDefinitionUUID;
import org.ow2.bonita.facade.uuid.ProcessInstanceUUID;
import org.ow2.bonita.util.Misc;


/**
 * @author Guillaume Porcher
 *
 */
// TODO javadoc
public class ProcessInstanceCurrentInfo {
  private final ProcessDefinitionUUID processUUID;
  private final ProcessInstanceUUID instanceUUID;
  private final ProcessInstanceUUID parentInstanceUUID;
  private final Map<String, Object> variables;
  private final String userId;

  public ProcessInstanceCurrentInfo(
      final ProcessDefinitionUUID processUUID,
      final ProcessInstanceUUID instanceUUID,
      final ProcessInstanceUUID parentInstanceUUID,
      final Map<String, Object> variables,
      final String userId) {
    Misc.checkArgsNotNull(processUUID, instanceUUID, userId);
    this.processUUID = processUUID;
    this.instanceUUID = instanceUUID;
    this.parentInstanceUUID = parentInstanceUUID;
    this.variables = variables;
    this.userId = userId;
  }

  public ProcessDefinitionUUID getProcessUUID() {
    return this.processUUID;
  }

  public ProcessInstanceUUID getInstanceUUID() {
    return this.instanceUUID;
  }

  public ProcessInstanceUUID getParentInstanceUUID() {
    return this.parentInstanceUUID;
  }

  public Map<String, Object> getVariables() {
    return this.variables;
  }

  public String getUserId() {
    return this.userId;
  }


}
